%define module	Parse-Yapp
%define version	1.05
%define release	%mkrel 9

Summary:	Fully reentrant perl OO LALR(1) parser creator
Name:		perl-%{module}
Version:	%{version}
Release:	%{release}
License:	GPL or Artistic
Group:		Development/Perl
Source0:	%{module}-%{version}.tar.bz2
Url:		http://search.cpan.org/dist/%module/
BuildRequires:	perl-devel
BuildRoot:	%{_tmppath}/%{name}-buildroot/
Requires:	perl
BuildArch:	noarch

%description
The Parse::Yapp module enables to create Perl OO fully reentrant
LALR(1) parser modules (see the Yapp.pm pod pages for more details)
and has been designed to be functionally as close as possible to yacc,
but using the full power of Perl and open to enhancements.

%prep
%setup -q -n %{module}-%{version}

%build
find -type f | xargs chmod 644
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%clean
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%files
%defattr(-,root,root)
%doc README Changes
%{_bindir}/*
%{_mandir}/*/*
%{perl_vendorlib}/Parse



%changelog
* Wed Jun 18 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.05-9mdv2009.0
+ Revision: 223952
- rebuild

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 1.05-8mdv2008.1
+ Revision: 136330
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Apr 29 2007 Olivier Thauvin <nanardon@mandriva.org> 1.05-8mdv2008.0
+ Revision: 19237
- rebuild


* Mon Feb 13 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.05-7mdk
- Rebuild and cleanup

* Thu Aug 14 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.05-6mdk
- rebuild for new perl
- drop $RPM_OPT_FLAGS, noarch..
- use %%makeinstall_std macro

* Tue May 27 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.05-5mdk
- rebuild for new auto{prov,req}

